#ifndef _OME_ERROR_H
//! \cond
#define _OME_ERROR_H "$Id: OMEerror.h 312 2020-03-21 21:25:35Z geoff $"
//! \endcond

/*! \file
 * \brief OME error codes
 */

// Error codes

#    define OME_ERROR_DUPLICATE_CLASS 200
#    define OME_ERROR_NO_SUCH_NAMESPACE 201
#    define OME_ERROR_DUPLICATE_NAMESPACE 202
#    define OME_ERROR_NO_SUCH_CLASS 203
#    define OME_ERROR_CIRCULAR_INHERITANCE 204
#    define OME_ERROR_NO_SUCH_METHOD 205
#    define OME_ERROR_NOT_AUTHORIZED 206
#    define OME_ERROR_NO_SUCH_OBJECT 207
#    define OME_ERROR_DUPLICATE_OBJECT 208
#    define OME_ERROR_BAD_DATA 209

#endif
/* vim: set expandtab shiftwidth=4 tabstop=4: */
